Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Jul 2014, 19:04
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
XFCE-4.4.1.SFS and XFCE-4.4.1.PET for Puppy 3.0+ FINAL
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 5 Posts_count   Goto page: 1, 2, 3, 4, 5 Next
Author Message
JB4x4

Joined: 30 Jul 2006
Posts: 256

PostPosted: Thu 18 Oct 2007, 07:12    Post_subject:  XFCE-4.4.1.SFS and XFCE-4.4.1.PET for Puppy 3.0+ FINAL  

UPDATE - 12-04-2007 - XFCE 4.4.1 D

I have updated my XFCE 4.4.1 package for Puppy....

Changes - 12-04-2007

--Gamin, Startup Notification, and VTE compiled in Puppy
----Previously using Slackware packages, should improve reliablity
----NOTE: Gamin is supposed to provide Desktop and Thunar updating, please report (Thank you)
--XFCE Mixer defaults to OSS sound for better "stock" Puppy support
----ALSA XFCE Mixer available as a PET package
--Rox script works with JWM/Pinboard, user does not have to edit .xinitrc
--Extra plugins in PET form.
--Moved from "experimental" to "windowmangers/XFCE" at www.puppylinux.ca

-----

Changes - 11-04-2007

--Smaller footprint
----SFS now 16.2 meg - was 19 meg
----PET now 20.4 meg / 49.6 meg installed - was 23 meg 53 meg installed
--Created mimetypes for .pet .pup .sfs .2fs .3fs .iso
--included a modified version of gray's rox script
----determines if the user is in XFCE or JWM and opens the appropriate file manager when called in a script
--added cpu monitor
--clock defaults to 12hr - am/pm
--added other various file "open with" defaults to Thunar
--Added two scripts - update-xfce-mimetype.sh / update-xfce-menu.sh
----update-xfce-mimetype.sh - updates mimetypes after installing XFCE-441b.sfs - see below
----update-xfce-menu.sh - clears menu cache after installing new programs so they can be detected (not always need)
----These can both be accessed from the System area of the menu.


To install .PET (full or frugal install)
-Download and install XFCE-441b.pet
-Exit to prompt and enter the command..
-xwin startxfce4

To install .SFS (frugal install)
-Download XFCE-441b.sfs
-Move to /mnt/home
-REBOOT computer
-When JWM appears, exit to prompt and enter the command..
-xwin startxfce4
-run the command Update XFCE Mimetype under the System section.
-logoff and restart window manager "xwin"

FILES-

XFCE-441d.pet
http://www.puppylinux.ca/members/windowmanagers/XFCE/XFCE-441d.pet

XFCE-441d.sfs
http://www.puppylinux.ca/members/windowmanagers/XFCE/XFCE-441d.sfs

NEW PLUGINS: Battery Monitor, Clipman, Places, Wavelan, XMMS, and the ALSA version of the XFCE-MIXER available at----
http://www.puppylinux.ca/members/windowmanagers/XFCE

As always, have fun...
JB

P.S. This will probably be my last update of 4.4.1. XFCE 4.4.2 has been released, and I will begin working on soon.

Thanks to http://www.puppylinux.ca/ for additional hosting...

Edited_times_total
Back to top
View user's profile Send_private_message YIM 
siriusw

Joined: 15 Oct 2007
Posts: 3

PostPosted: Thu 18 Oct 2007, 14:04    Post_subject:  

JB4x4,

Just try to install .PET version and it works.
Thx for providing it!

Would you mind to tell me how to install other plugin for xfce from the xfce offical website? As I know, I have to compile it, right?
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 18 Oct 2007, 18:46    Post_subject:  

Cool great

What did Dougal take out to provide his (I think it is 1.5MB) version?
http://puppylinux.org/wikka/XfcePuppy

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Thu 18 Oct 2007, 18:50    Post_subject:  

xfce4.4.1 is just bigger and probably can't be reduced to that size even thought there are not that many more features...
Crying or Very sad

_________________
Taking Puppy Linux to the limit of perfection. meanwhile try "puppy pfix=duct_tape" kernel parem eater.
X86: Sager NP6110 3630QM 16GB ram, Tyan Thunder 2 2x 300Mhz
Sun: SS2 , LX , SS5 , SS10 , SS20 ,Ultra 1, Ultra 10 , T2000
Mac: Platinum Plus, SE/30
Back to top
View user's profile Send_private_message Visit_website 
JB4x4

Joined: 30 Jul 2006
Posts: 256

PostPosted: Thu 18 Oct 2007, 20:13    Post_subject:  

siriusw - Plugins are easily installed as long as you have the devx file installed/loaded. Download the source code from the XFCE Goodies website, extract and run the command "./configure && make && make install" If you have trouble just PM me and I could create PET packages.

Lobster / cb88 - Yes, this is quite a bit larger. Although there are not alot of added features, most things have been improved with added function (ie. Thunar file manager, Orage clock, and the new XFDesktop with working icons/links). As for cutting stuff out, I wouldn't know where to start, and I wanted the full XFCE anyways Smile
Back to top
View user's profile Send_private_message YIM 
Pizzasgood


Joined: 04 May 2005
Posts: 6270
Location: Knoxville, TN, USA

PostPosted: Thu 18 Oct 2007, 20:19    Post_subject:  

I don't know if you tried these ideas yet, but maybe you could use strip on everything that's strippable. Another thing you could do is use UPX compression, but I don't know if Puppy supports that by default or not.

Also, Dougal's package didn't include Thunar or any other non-WM-essential applications. He also left out most plugins, XFWM themes, and GTK themes. Plus, there was no desktop icon support either back then. That's one of the new features.

_________________
Between depriving a man of one hour from his life and depriving him of his life there exists only a difference of degree. --Muad'Dib

Back to top
View user's profile Send_private_message Visit_website 
JB4x4

Joined: 30 Jul 2006
Posts: 256

PostPosted: Thu 18 Oct 2007, 21:00    Post_subject:  

Pizzasgood - I stripped everything I could, hoping to save space. I had thought of UPX, but am also not sure if Puppy supports.

JB
Back to top
View user's profile Send_private_message YIM 
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Thu 18 Oct 2007, 21:05    Post_subject:  

upx is an execuatable compression format and it extracts itself it has worked in 2.14 and 2.16 I am pretty sure that it works for 3.00 as far as that goes it should work in any linux should it not? some times it gets extremely good compression other times not so much....

it is worth using the exhastive compression method because it doesn't take that much longer on new PC's

_________________
Taking Puppy Linux to the limit of perfection. meanwhile try "puppy pfix=duct_tape" kernel parem eater.
X86: Sager NP6110 3630QM 16GB ram, Tyan Thunder 2 2x 300Mhz
Sun: SS2 , LX , SS5 , SS10 , SS20 ,Ultra 1, Ultra 10 , T2000
Mac: Platinum Plus, SE/30
Back to top
View user's profile Send_private_message Visit_website 
Pizzasgood


Joined: 04 May 2005
Posts: 6270
Location: Knoxville, TN, USA

PostPosted: Thu 18 Oct 2007, 21:42    Post_subject:  

Well, I know it will work. I just don't know if it's included in Puppy by default or would need to be installed.
_________________
Between depriving a man of one hour from his life and depriving him of his life there exists only a difference of degree. --Muad'Dib

Back to top
View user's profile Send_private_message Visit_website 
JB4x4

Joined: 30 Jul 2006
Posts: 256

PostPosted: Fri 19 Oct 2007, 07:34    Post_subject:  

For those interested in the older smaller XFCE - (tested with Dougal's XFCE-4.2.3.2-base.pup) - I have made a small PET package that will update the menu to a more standard Puppy structure (similar to my 4.4.1). This also works with Puppy-NOP to the same effect.

JB
XFCE_menu_upgrade.pet
Description  Update older XFCE menus
pet

 Download 
Filename  XFCE_menu_upgrade.pet 
Filesize  6.1 KB 
Downloaded  901 Time(s) 
Back to top
View user's profile Send_private_message YIM 
Puppetmaster

Joined: 19 Oct 2007
Posts: 4

PostPosted: Fri 19 Oct 2007, 11:28    Post_subject:  

Hi, new user here, and a new user as regarding to puppy as well Smile
I just tried installing xfce-4.4.1.PET in hd-installed puppy 3.0. The message I'm given when I try is:
---------------------------------------------------------------------------------
The XFCE-441.pet package has been downloaded to /root/.packages,
however there is not enough room to uncompress and install it.
The free space is 84729 blocks but it is estimated you will
need 234360 blocks temporarily for the expansion and install.

Note: If you are using a pup_save.3fs personal storage file,
it can be made bigger -- see Utilities menu.

This script will now delete the package and exit...
----------------------------------------------------------------------------------

and obviously it doesn't install. What am I doing wrong?
I tried increase my storage file, but since I have an hd-install, I don't have one Smile
Back to top
View user's profile Send_private_message 
Pizzasgood


Joined: 04 May 2005
Posts: 6270
Location: Knoxville, TN, USA

PostPosted: Fri 19 Oct 2007, 15:12    Post_subject:  

As I understand it, 3.00 has a glitch with the size calculations. It might be fixed in 3.01. I'm still using a 2.14 derivative, so I'm not up to date on all the changes in 3.01.

You could install it by hand. The package should be in /root/.packages/. Stick it in a "clean" area (I like to use /tmp/NewDir) and extract it with these commands:
Code:
pet2tgz <packagename>.pet
tar -xf <packagename>.tar.gz

Then just copy the directories it creates into /, so that it asks you if you want to merge them with the filesystem. Just keep clicking yes (or hold down enter).

Then, unless it includes a pinstall.sh script, it will be installed. However, it won't be registered with PETget, so you won't be able to uninstall it from PETget.

_________________
Between depriving a man of one hour from his life and depriving him of his life there exists only a difference of degree. --Muad'Dib

Back to top
View user's profile Send_private_message Visit_website 
SirDuncan


Joined: 09 Dec 2006
Posts: 836
Location: Ohio, USA

PostPosted: Fri 19 Oct 2007, 16:30    Post_subject:  

Actually, that glitch is far older than 3.00. I know that before 3.01 Barry spoke of fixing it, but I don't know if he did it for 3.01.
_________________
Be brave that God may help thee, speak the truth even if it leads to death, and safeguard the helpless. - A knight's oath
Back to top
View user's profile Send_private_message Visit_website 
bobwrit


Joined: 12 Mar 2007
Posts: 286

PostPosted: Fri 19 Oct 2007, 16:48    Post_subject:  

Pizzasgood wrote:
As I understand it, 3.00 has a glitch with the size calculations. It might be fixed in 3.01.

To the best of my knowlage it was fixed in 3.01.Correct me if I'm wrong.

_________________
I need help with my forum. LINK:http://www.programers.co.nr/
http://www.freewebs.com/programm/iframe.html is my gateway page...
Back to top
View user's profile Send_private_message Visit_website YIM 
Puppetmaster

Joined: 19 Oct 2007
Posts: 4

PostPosted: Fri 19 Oct 2007, 17:00    Post_subject:  

Thanks for the swift replies! Smile
So either I have to install it by hand, or update my 3.0 to 3.01... Wink
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 5 Posts_count   Goto page: 1, 2, 3, 4, 5 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0852s ][ Queries: 13 (0.0057s) ][ GZIP on ]